package domain


type AlibabaWdkItemCategoryQueryResult struct {
    /*
        success     */
    Success  *bool `json:"success,omitempty" `

    /*
        code     */
    Code  *string `json:"code,omitempty" `

    /*
        errorCode     */
    ErrorCode  *string `json:"error_code,omitempty" `

    /*
        errorDesc     */
    ErrorDesc  *string `json:"error_desc,omitempty" `

    /*
        result     */
    Result  *string `json:"result,omitempty" `

}

func (s *AlibabaWdkItemCategoryQueryResult) SetSuccess(v bool) *AlibabaWdkItemCategoryQueryResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkItemCategoryQueryResult) SetCode(v string) *AlibabaWdkItemCategoryQueryResult {
    s.Code = &v
    return s
}
func (s *AlibabaWdkItemCategoryQueryResult) SetErrorCode(v string) *AlibabaWdkItemCategoryQueryResult {
    s.ErrorCode = &v
    return s
}
func (s *AlibabaWdkItemCategoryQueryResult) SetErrorDesc(v string) *AlibabaWdkItemCategoryQueryResult {
    s.ErrorDesc = &v
    return s
}
func (s *AlibabaWdkItemCategoryQueryResult) SetResult(v string) *AlibabaWdkItemCategoryQueryResult {
    s.Result = &v
    return s
}
